[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [gmf-dev] How to install GMF with Indigo or Helios ?

Hi Michael,

if you give me the list of update-sites required to install GMF tooling for indigo + the feature id's to install (if it did change, right now its org.eclipse.gmf.sdk) I can re-enable the "GMF Tooling" item in the modeling components discovery distributed in the package.

We don't need to rebuild the package to do so.

Cheers,

Cédric

Le 18/10/2011 16:05, Eric Tan a écrit :
Hi, Mr. Michael,

Thank you so much for your help. I installed GMF successfully according to your instructions.

Thank you again !

Best regards,

Eric


2011/10/18 Michael Golubev <golubev@xxxxxxxxxxxx>
Hello, 

I will take a look at the problem with update site. 
Is my understanding correct that you are trying to install the GMF into pure Eclipse for Java (or J2EE) developers, without modeling components (EMF, OCL, etc) installed?

As a workaround, you always may use the old way and install binaries directly.  
- start from Eclipse Modeling package [1]
- download the GMF-T SDK (zip archive) from [2]
- download the QVTo SDK (zip archive) from [3]
- unpack both either to eclipse home, or into the "dropins" folder
- restart Eclipse


Hope that helps, 
Regards, 
Michael

-- 

Michael "Borlander" Golubev
Eclipse Committer (GMF, UML2Tools)
at Montages Think Tank, 
Prague, Czech Republic

Montages AG
Stampfenbachstr. 48, CH-8006 Zürich

tel:    +41 44 260 75 57
mob: +420 602 483 463

On Mon, Oct 17, 2011 at 3:07 PM, Eric Tan <eric.tan.6508@xxxxxxxxx> wrote:
Hi,

I know this email box is only for GMF developers, but when I tried to
post my problem to GMF forum, it refused with the message "You cannot
use links until you have posted more than 5 messages". and I failed to
find anywhere I can post my message.

My problem is,  when I tried to install GMF under Eclipse Indigo, with the URL:
http://download.eclipse.org/modeling/gmf/updates/releases/

but got the following error message:

Missing requirement: org.eclipse.gmf.tests.lite 2.0.100.v20090318-1925
requires 'bundle org.eclipse.emf.validation [1.1.0,2.0.0)' but it
could not be found


Could you tell me what should be done before installing GMF, and how.
Or is there any document about installing GMF under Eclipse Indigo or
Helios ?

Your reply will be appreciated greatly.

Best regards,

Eric
_______________________________________________
gmf-dev mailing list
gmf-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/gmf-dev




_______________________________________________
gmf-dev mailing list
gmf-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/gmf-dev


_______________________________________________ gmf-dev mailing list gmf-dev@xxxxxxxxxxx https://dev.eclipse.org/mailman/listinfo/gmf-dev